package com.github.nullptroma.wallenc.domain.tasks

import com.github.nullptroma.wallenc.domain.errors.WallencException

sealed class TaskRunState {
    data object Queued : TaskRunState()
    data class Running(val progress: TaskProgress?) : TaskRunState()
    data object Completed : TaskRunState()
    data object Cancelled : TaskRunState()
    data class Failed(val error: WallencException) : TaskRunState()
}
